> ## Documentation Index
> Fetch the complete documentation index at: https://conductorone-docs-mcp-bridge-private-server.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Search

> Search for system log exports matching the specified filters.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples post /api/v1/search/systemlog/exports
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/search/systemlog/exports:
    post:
      tags:
        - System Log Exporter
      summary: Search
      description: Search for system log exports matching the specified filters.
      operationId: c1.api.systemlog.v1.ExportsSearchService.Search
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/c1.api.systemlog.v1.ExportsSearchServiceSearchRequest
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.systemlog.v1.ExportsSearchServiceSearchResponse
          description: >-
            ExportsSearchServiceSearchResponse is the response for searching
            system log exports.
      x-codeSamples:
        - lang: go
          label: Search
          source: "package main\n\nimport(\n\t\"context\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/shared\"\n\tconductoronesdkgo \"github.com/conductorone/conductorone-sdk-go\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := conductoronesdkgo.New(\n        conductoronesdkgo.WithSecurity(shared.Security{\n            BearerAuth: \"<YOUR_BEARER_TOKEN_HERE>\",\n            Oauth: \"<YOUR_OAUTH_HERE>\",\n        }),\n    )\n\n    res, err := s.ExportsSearch.Search(ctx, nil)\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.ExportsSearchServiceSearchResponse != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: >-
            import { ConductoroneSDKTypescript } from
            "conductorone-sdk-typescript";


            const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
              security: {
                bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
                oauth: "<YOUR_OAUTH_HERE>",
              },
            });


            async function run() {
              const result = await conductoroneSDKTypescript.exportsSearch.search();

              console.log(result);
            }


            run();
components:
  schemas:
    c1.api.systemlog.v1.ExportsSearchServiceSearchRequest:
      description: >-
        ExportsSearchServiceSearchRequest is the request for searching system
        log exports.
      properties:
        displayName:
          description: >-
            Search for system log exporters with a case insensitive match on the
            display name.
          type:
            - string
            - 'null'
        pageSize:
          description: The pageSize field.
          format: int32
          type:
            - integer
            - 'null'
        pageToken:
          description: The pageToken field.
          type:
            - string
            - 'null'
        query:
          description: The query field.
          type:
            - string
            - 'null'
        refs:
          description: The refs field.
          items:
            $ref: '#/components/schemas/c1.api.systemlog.v1.ExporterRef'
          type:
            - array
            - 'null'
      title: Exports Search Service Search Request
      type: object
      x-speakeasy-name-override: ExportsSearchServiceSearchRequest
    c1.api.systemlog.v1.ExportsSearchServiceSearchResponse:
      description: >-
        ExportsSearchServiceSearchResponse is the response for searching system
        log exports.
      properties:
        list:
          description: The list of system log exports matching the search criteria.
          items:
            $ref: '#/components/schemas/c1.api.systemlog.v1.Exporter'
          type:
            - array
            - 'null'
        nextPageToken:
          description: >-
            The token to retrieve the next page of results, or empty if there
            are no more results.
          type:
            - string
            - 'null'
      title: Exports Search Service Search Response
      type: object
      x-speakeasy-name-override: ExportsSearchServiceSearchResponse
    c1.api.systemlog.v1.ExporterRef:
      description: The ExporterRef message.
      properties:
        exportId:
          description: The exportId field.
          type:
            - string
            - 'null'
      title: Exporter Ref
      type: object
      x-speakeasy-name-override: ExporterRef
    c1.api.systemlog.v1.Exporter:
      description: >
        The Exporter message.


        This message contains a oneof named export_to. Only a single field of
        the following list may be set at a time:
          - datasource
      properties:
        createdAt:
          format: date-time
          readOnly: true
          type:
            - string
            - 'null'
        datasource:
          oneOf:
            - $ref: '#/components/schemas/c1.api.systemlog.v1.ExportToDatasource'
            - type: 'null'
        deletedAt:
          format: date-time
          readOnly: true
          type:
            - string
            - 'null'
        displayName:
          description: The displayName field.
          type:
            - string
            - 'null'
        exportId:
          description: The exportId field.
          readOnly: true
          type:
            - string
            - 'null'
        state:
          description: The state field.
          enum:
            - EXPORT_STATE_UNSPECIFIED
            - EXPORT_STATE_EXPORTING
            - EXPORT_STATE_WAITING
            - EXPORT_STATE_ERROR
          readOnly: true
          type:
            - string
            - 'null'
          x-speakeasy-unknown-values: allow
        updatedAt:
          format: date-time
          readOnly: true
          type:
            - string
            - 'null'
        watermarkEventId:
          description: we've synchorized this far
          readOnly: true
          type:
            - string
            - 'null'
      title: Exporter
      type: object
      x-speakeasy-name-override: Exporter
    c1.api.systemlog.v1.ExportToDatasource:
      description: The ExportToDatasource message.
      properties:
        datasourceId:
          description: The datasourceId field.
          type:
            - string
            - 'null'
        format:
          description: The format field.
          enum:
            - EXPORT_FORMAT_UNSPECIFIED
            - EXPORT_FORMAT_OCSF_JSON_ZSTD
            - EXPORT_FORMAT_OCSF_JSON_GZIP
          type:
            - string
            - 'null'
          x-speakeasy-unknown-values: allow
        prefix:
          description: The prefix field.
          type:
            - string
            - 'null'
      title: Export To Datasource
      type: object
      x-speakeasy-name-override: ExportToDatasource
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````